public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/jdom/
Date: Tue, 25 Aug 2015 22:12:34 +0000 (UTC)	[thread overview]
Message-ID: <1440544348.762e1d624b1bd525f10e72c233d2236279cb83a9.monsieurp@gentoo> (raw)

commit:     762e1d624b1bd525f10e72c233d2236279cb83a9
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 25 23:11:42 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Aug 25 23:12:28 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=762e1d62

dev-java/jdom: Do away with the hacks and rewrite this ebuild from scratch using java-pkg-simple. Doing so, this eclass is now generating the documentation for free. Fixes 551700.

Package-Manager: portage-2.2.18
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-java/jdom/jdom-2.0.6-r1.ebuild | 64 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

diff --git a/dev-java/jdom/jdom-2.0.6-r1.ebuild b/dev-java/jdom/jdom-2.0.6-r1.ebuild
new file mode 100644
index 0000000..737403e
--- /dev/null
+++ b/dev-java/jdom/jdom-2.0.6-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+JAVA_PKG_IUSE="source test doc"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Java API to manipulate XML data"
+SRC_URI="http://www.jdom.org/dist/binary/${P}.zip"
+HOMEPAGE="http://www.jdom.org"
+LICENSE="JDOM"
+SLOT="2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+CDEPEND="dev-java/iso-relax:0
+	dev-java/jaxen:1.1
+	dev-java/xalan:0
+	dev-java/junit:4
+	dev-java/xml-commons-external:1.4"
+RDEPEND="${CDEPEND}
+	>=virtual/jre-1.6"
+DEPEND="${CDEPEND}
+	app-arch/unzip
+	>=virtual/jdk-1.6"
+IUSE=""
+
+S="${WORKDIR}"
+
+JAVA_GENTOO_CLASSPATH="xalan,junit-4,jaxen-1.1,iso-relax,xml-commons-external-1.4"
+JAVA_SRC_DIR="org"
+
+src_unpack() {
+	default
+	cd "${S}"
+	unpack ./"${P}-sources".jar
+}
+
+java_prepare() {
+	find "${S}"/lib -type f -delete || die
+}
+
+src_compile() {
+	java-pkg-simple_src_compile
+}
+
+src_install() {
+	java-pkg-simple_src_install
+	use source && java-pkg_dosrc org
+}
+
+src_test() {
+	local DIR="org/jdom2/test"
+	local CP="${DIR}:${PN}.jar:$(java-pkg_getjars junit-4,${JAVA_GENTOO_CLASSPATH})"
+
+	local TESTS=$(find "${DIR}" -name "*Test.java" ! -name "Abstract*")
+	TESTS="${TESTS//src\/test\/java\/}"
+	TESTS="${TESTS//.java}"
+	TESTS="${TESTS//\//.}"
+
+	ejavac -classpath "${CP}" -d "${DIR}" $(find "${DIR}" -name "*.java")
+	ejunit4 -classpath "${CP}" ${TESTS}
+}


             reply	other threads:[~2015-08-25 22:12 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-25 22:12 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-08-26  8:18 [gentoo-commits] repo/gentoo:master commit in: dev-java/jdom/ Patrice Clement
2015-08-27  9:24 Patrice Clement
2015-09-29 21:20 James Le Cuirot
2015-09-29 21:20 James Le Cuirot
2016-01-06 10:11 Patrice Clement
2016-01-06 10:11 Patrice Clement
2016-01-06 10:11 Patrice Clement
2017-07-13 18:32 Alexis Ballier
2018-06-03  2:59 Aaron Bauman
2019-05-18  1:14 Aaron Bauman
2020-07-16 22:40 Sam James
2020-07-20  1:10 Sam James
2021-04-18 13:47 Miroslav Šulc
2021-04-19 11:16 Miroslav Šulc
2021-04-19 11:16 Miroslav Šulc
2021-04-22 20:25 Sam James
2021-04-23 13:33 Sam James
2021-04-25 16:09 Sam James
2021-05-16 14:55 Sam James
2021-05-16 18:11 Miroslav Šulc
2022-05-22 17:24 Florian Schmaus
2022-06-22 11:40 Jakov Smolić
2022-06-22 13:12 Jakov Smolić
2022-06-22 13:25 Agostino Sarubbo
2024-06-17  8:51 Miroslav Šulc
2024-07-17  6:12 Sam James
2024-07-17  6:12 Sam James
2024-07-17  6:12 Sam James
2024-07-17  6:12 Sam James
2024-07-17  9:47 Miroslav Šulc

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1440544348.762e1d624b1bd525f10e72c233d2236279cb83a9.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox